pfsoutyuv(1)

NAME
pfsoutyuv - Write frames to .yuv file used by many video codecs

SYNOPSIS
pfsoutyuv [--verbose] [--quiet] [--bitdepth] [--colorspace] [--downsample-filter] [--chroma-format] <file> [<file>...]

DESCRIPTION
Use this command to write the pfsstream to an uncompressed .yuv file.

If the output color space is LDR (bt709), the input pfs stream should be in the gamma corrected sRGB color space. If the output color space is HDR (pq2020 or hgl2020), the input pfs stream should be in linear RGB color space.

OPTIONS

--bitdepth, -b
    bit-depth of the integer values stored in the yuv file. a single color component is stored as a byte if bit-depth is 8, or as two bytes otherwise. default: 10 [bits]

--colorspace, -c
    Currently it can be either:

    pq2020 for HDR images with BT.2020 colorspace and PQ transfer function, or

    hlg2020 for HDR images with BT.2020 colorspace and HLG transfer function, or

    bt709 for LDR images in BT.709 (rec.709) colorspace without any transfer function.

If no option is specified, colorspace is inferred from the LUMINANCE tag in the pfsstream: pq2020 if LUMINANCE is ABSOLUTE or RELATIVE, bt709 if LUMINANCE is DISPLAY.

--chroma-format, -f
    The sampling format for the chroma channels. Can be one of:

    444 The standard 4:4:4 format with no chroma downsampling.

    420 The 4:2:0 format with both colour channels being downsampled by half.

    default: 420

--downsample-filter, -f
    The filter weights used when downsampling to 4:2:0. Can be either

    f0 Weighting = [1/8, 3/4, 1/8]

    f1 Weighting = [1/4, 1/2, 1/4]

    default: f0

--srgb-input -s
    Set if the input is gamma corrected, though this will be inferred otherwise from the LUMINANCE tag in the pfs stream

--linear-input -l
    As above, set if the input contains linear luminance values

--verbose, -v
    Print extra information to stderr.

--quiet, -q
    Disable warning message about the change in handling absolute values in RGBE files. See IMPORTANT NOTE below.

EXAMPLES

pfsin frame%04d.exr | pfsoutyuv video%s.yuv
    Converts a sequence of frames frame0000.exr, frame0001.exr, ... to a yuv file.

SEE ALSO
pfsin(1)

IMPORTANT NOTE

BUGS
Please report bugs and comments on implementation to the discussion group http://groups.google.com/group/pfstools